Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7783

Summary: depmod -a failing after 6.1 install
Product: [Retired] Red Hat Linux Reporter: Simon Csaba Endre <csabi>
Component: installerAssignee: Jay Turner <jturner>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-09 21:25:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Simon Csaba Endre 1999-12-13 07:25:11 UTC
I have installed the RH 6.1 linux. On the first boot I saw the following
error:

conf:1: missing argument

can't open

When I tracked down I saw that the depmod -a was generating this error
message.

The modules.dep file was not created!

With strace depmod -a >log 2>&1 the following open command give the error

open("",O_WRONLY|O_CREAT|O_TRUNC,0666)=-1 ENOENT (no such file or
directory)

Comment 1 Simon Csaba Endre 1999-12-15 13:42:59 UTC
After I removed the first line form conf.modules the depmod -a no more failed.
The install program put the following lines in the conf.modules:

alias cdu31a
options cdu31a cdu31a_port=0x340

Comment 2 Jay Turner 2000-02-09 21:25:59 UTC
This is fixed in the latest version of the installer available in RawHide.